| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Private Attributes | List of all members
Gaudi::DataHandle Class Reference

`#include <GaudiKernel/DataHandle.h>`

Inheritance diagram for Gaudi::DataHandle:
[legend]
Collaboration diagram for Gaudi::DataHandle:
[legend]

## Public Types
enum | Mode { Reader = 1<<2, Writer = 1<<4, Updater = Reader | Writer }

## Public Member Functions
| DataHandle ()
| DataHandle (const DataObjID &k, Mode a=Reader, IDataHandleHolder *owner=0)
virtual | ~DataHandle ()
virtual void | setOwner (IDataHandleHolder *o)
virtual IDataHandleHolder * | owner () const
virtual Mode | mode () const
virtual void | setKey (const DataObjID &key)
virtual void | updateKey (const std::string &key)
virtual const std::string & | objKey () const
virtual const DataObjID & | fullKey () const
virtual void | reset (bool)
virtual StatusCode | commit ()
virtual const std::string | pythonRepr () const

## Protected Member Functions
virtual void | setMode (const Mode &mode)

## Protected Attributes
DataObjID | m_key
IDataHandleHolder * | m_owner

## Private Attributes
Mode | m_mode

## Detailed Description

Definition at line 27 of file DataHandle.h.

## Member Enumeration Documentation

enum Gaudi::DataHandle::Mode

Enumerator
Reader |
Writer |
Updater |

Definition at line 30 of file DataHandle.h.

30 {
31 Reader = 1<<2,
32 Writer = 1<<4,
33 Updater = Reader | Writer
34 };
Gaudi::DataHandle::Reader
Definition: DataHandle.h:31
Gaudi::DataHandle::Writer
Definition: DataHandle.h:32
Gaudi::DataHandle::Updater
Definition: DataHandle.h:33

## Constructor & Destructor Documentation

Gaudi::DataHandle::DataHandle | ( |  | ) |
| inline

Definition at line 37 of file DataHandle.h.

37 : m_key("NONE"), m_owner(0), m_mode(Reader) {};
Gaudi::DataHandle::m_mode
Mode m_mode
Definition: DataHandle.h:67
Gaudi::DataHandle::Reader
Definition: DataHandle.h:31
Gaudi::DataHandle::m_key
DataObjID m_key
Definition: DataHandle.h:63
Gaudi::DataHandle::m_owner
IDataHandleHolder * m_owner
Definition: DataHandle.h:64

Gaudi::DataHandle::DataHandle | ( | const DataObjID & | k,
|  | Mode | a = `Reader`,
|  | IDataHandleHolder * | owner = `0`
| ) |  |
| inline

Definition at line 38 of file DataHandle.h.

39 :
40 m_key(k), m_owner(owner), m_mode(a){};
Gaudi::DataHandle::m_mode
Mode m_mode
Definition: DataHandle.h:67
Gaudi::DataHandle::m_key
DataObjID m_key
Definition: DataHandle.h:63
Gaudi::DataHandle::m_owner
IDataHandleHolder * m_owner
Definition: DataHandle.h:64

virtual Gaudi::DataHandle::~DataHandle | ( |  | ) |
| inline virtual

Definition at line 42 of file DataHandle.h.

42 {}

## Member Function Documentation

virtual StatusCode Gaudi::DataHandle::commit | ( |  | ) |
| inline virtual

Definition at line 56 of file DataHandle.h.

56 { return StatusCode::SUCCESS; }
StatusCode::SUCCESS
Definition: StatusCode.h:30

virtual const DataObjID& Gaudi::DataHandle::fullKey | ( |  | ) | const
| inline virtual

Definition at line 53 of file DataHandle.h.

53 { return m_key; }
Gaudi::DataHandle::m_key
DataObjID m_key
Definition: DataHandle.h:63

virtual Mode Gaudi::DataHandle::mode | ( |  | ) | const
| inline virtual

Definition at line 47 of file DataHandle.h.

47 { return m_mode; }
Gaudi::DataHandle::m_mode
Mode m_mode
Definition: DataHandle.h:67

virtual const std::string& Gaudi::DataHandle::objKey | ( |  | ) | const
| inline virtual

Definition at line 52 of file DataHandle.h.

52 { return m_key.key(); }
Gaudi::DataHandle::m_key
DataObjID m_key
Definition: DataHandle.h:63
DataObjID::key
const std::string & key() const
Definition: DataObjID.h:49

virtual IDataHandleHolder* Gaudi::DataHandle::owner | ( |  | ) | const
| inline virtual

Definition at line 45 of file DataHandle.h.

45 { return m_owner; }
Gaudi::DataHandle::m_owner
IDataHandleHolder * m_owner
Definition: DataHandle.h:64

const std::string Gaudi::DataHandle::pythonRepr | ( |  | ) | const
| virtual

Reimplemented in DataObjectHandleBase.

Definition at line 10 of file DataHandle.cpp.

10 {
11 std::ostringstream ost;
12 ost << "DataHandle(\"" << fullKey() << "||"
13 << std::to_string(mode()) << "\")";
14 return ost.str();
15 }
Gaudi::DataHandle::mode
virtual Mode mode() const
Definition: DataHandle.h:47
std::to_string
T to_string(T...args)
Gaudi::DataHandle::fullKey
virtual const DataObjID & fullKey() const
Definition: DataHandle.h:53
std::ostringstream
STL class.
std::ostringstream::str
T str(T...args)

virtual void Gaudi::DataHandle::reset | ( | bool |  | ) |
| inline virtual

Definition at line 55 of file DataHandle.h.

55 {};

virtual void Gaudi::DataHandle::setKey | ( | const DataObjID & | key | ) |
| inline virtual

Definition at line 49 of file DataHandle.h.

49 { m_key = key; }
Gaudi::DataHandle::m_key
DataObjID m_key
Definition: DataHandle.h:63

virtual void Gaudi::DataHandle::setMode | ( | const Mode & | mode | ) |
| inline protected virtual

Definition at line 61 of file DataHandle.h.

61 { m_mode = mode; }
Gaudi::DataHandle::mode
virtual Mode mode() const
Definition: DataHandle.h:47
Gaudi::DataHandle::m_mode
Mode m_mode
Definition: DataHandle.h:67

virtual void Gaudi::DataHandle::setOwner | ( | IDataHandleHolder * | o | ) |
| inline virtual

Definition at line 44 of file DataHandle.h.

44 { m_owner = o; }
Gaudi::DataHandle::m_owner
IDataHandleHolder * m_owner
Definition: DataHandle.h:64

virtual void Gaudi::DataHandle::updateKey | ( | const std::string & | key | ) |
| inline virtual

Definition at line 50 of file DataHandle.h.

50 { m_key.updateKey(key); }
DataObjID::updateKey
void updateKey(const std::string &key)
Definition: DataObjID.h:109
Gaudi::DataHandle::m_key
DataObjID m_key
Definition: DataHandle.h:63

## Member Data Documentation

DataObjID Gaudi::DataHandle::m_key
| protected

Definition at line 63 of file DataHandle.h.

Mode Gaudi::DataHandle::m_mode
| private

Definition at line 67 of file DataHandle.h.

IDataHandleHolder* Gaudi::DataHandle::m_owner
| protected

Definition at line 64 of file DataHandle.h.

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/DataHandle.h
- GaudiKernel/src/Lib/DataHandle.cpp